#!/bin/bash
# Function to establish user id of current user.
# We call this function later on to test if they are ROOT and fail if they are.

getUID() {
	id $1 | sed -e 's/(.*$//' -e 's/^uid=//'
}
# Test if user is root and deny access if they are.
# It is not a good idea to be running software as root.
if [ "`getUID`" = 0 ] ; then
	echo "ERROR: You can't run this as ROOT. Change to another user and try again.";
	exit;
fi
# End of User test.

DIR_PATH=`dirname $0`

#setup the path to include our directory

export PATH="$DIR_PATH":"$PATH"

# If we made it this far we mustn't be root.
# Just set the library path.
export LD_LIBRARY_PATH=$DIR_PATH/deploy/

# Then run the program.
sudo $DIR_PATH/consolewd

exit $?
